# Endpoint Guide Adapter API (Compliant with Payment Services Directive for UK customers)
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/psd2-uk-endpoint-guide-adapter-api/index.md

The Endpoint Guide API serves as a comprehensive reference for retrieving configuration and operational details across all payment corridors. It provides structured information on both mandatory and optional request parameters, tailored to specific endpoint attributes such as destination currency, destination country, payment instrument, and payment type.

The API categorizes data into:

1. Core data: Core request fields to be provided in the payment/quote request.
2. Additional data: Optional or conditional fields required by the system for successful transaction processing or compliance and regulatory purposes.

This design ensures that integrators and partners can dynamically adapt their requests based on corridor-specific requirements, improving accuracy and reducing integration effort.
Tip: The API call should not be integrated in the Payment API. It is recommended to cache the endpoint guide specifications and refresh them once a week for better system performance. For any upcoming updates, please refer to the **Customer Notice** for **Payout Service Updates** to determine any additional refresh needed.

## Environment Domains {#environment-domains}

* Sandbox/MTF
* Production

```Sandbox/MTF
https://sandbox.api.mastercard.uk/crossborder/endpoint-guide/specifications?payment_type={payment_type}&destination_country={destination_country}&destination_currency={destination_currency}&destination_payment_instrument={destination_payment_instrument}
```

```Production
https://api.mastercard.uk/crossborder/endpoint-guide/specifications?payment_type={payment_type}&destination_country={destination_country}&destination_currency={destination_currency}&destination_payment_instrument={destination_payment_instrument}
```

Note: **Sandbox** and **MTF** environments share the same url but are differentiated by partner id. In the Sandbox environment, the technical rules will be governed by generic endpoints' setup. The API will provide the specific rules for the given corridor after the customer has been onboarded. Hence, there is a possibility of differences in the rules across Sandbox and MTF environments.

## API {#api}

[Open Specification](https://static.developer.mastercard.com/content/cross-border-services/swagger/endpoint-guide-adapter-swagger.yaml)

API Reference: `GET /specifications`

* **Formats supported** : JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/json   
  accept: Format of the inbound content being submitted. example: application/json   
  X-Mc-Correlation-Id : A unique correlation ID for tracking the request.   
  Partner-Ref-Id : A unique reference ID of the business partner.

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/api-conventions/index.md) for general guidelines.

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/ Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-ref/encryption/index.md)

## Sandbox Testing {#sandbox-testing}

You can make API calls to the Sandbox server from your application code using the [tutorials](https://developer.mastercard.com/cross-border-services/documentation/tutorials/index.md), which involves creating a Mastercard Developers project and using the Sandbox keys to generate the required Authorization Header.
Tip: During the onboarding process, Mastercard will assign a registered partner ID to test in the higher environments (MTF Test and Production). This partner ID will not be able to access the sandbox environment, but the customer can still access sandbox by using the non-registered partner ID.   
Any correctly formatted partner ID can be used in the sandbox. As a best practice, use the first 15 digits of your institution's name (alphanumeric and/or special characters, no spaces) as the Partner_ID.   
For testing in sandbox, please use unique transaction_reference on each run. Note: The sandbox does not return parameters unique to a specific Customer; such as pricing, limits, and corridor-specific data requirements, but allows you to test general call structure and responses outside of the production environment. After sandbox testing is completed, Customers meeting the eligibility requirements will be assigned a project manager to do integrated testing in the test environment that has been configured to include requested receiving corridors, current foreign exchange rates, and fixed and variable fees specific to the Customer.

### Sandbox Test cases {#sandbox-test-cases}

Use payment type, destination country, destination currency and destination payment instrument of a corridor for which the information is needed.

## Sample Requests {#sample-requests}

No Request body

## Sample Responses {#sample-responses}

### Retrieve Technical Data Requirements {#retrieve-technical-data-requirements}

##### Successful Response: {#successful-response}

A example of successful Retrieve call are:  

* JSON

```JSON
 [
  {
    "paymentType": "B2B",
    "destinationCountry": "PHL",
    "destinationCurrency": "PHP",
    "destinationPaymentInstrument": "BANK",
    "technical": {
      "specialNotes": "Deposit to Debit and Credit Card accounts, or 16 digit account numbers are not accepted\r\n\r\nMetrobank: 10 or 13 digit account #\r\nUnionbank: 12 digit account #",
      "lastUpdatedTime": "2025-05-14 00:54:27.0",
      "fields": [
        {
          "fieldName": "payment_type",
          "mandatory": "Yes",
          "supportedValues": [
            {
              "id": "1",
              "name": "B2B"
            }
          ]
        },
        {
          "fieldName": "recipient_account_uri",
          "mandatory": "Yes",
          "validationPattern": "^[0-9]{3,35}$"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "180",
          "additionalFieldName": "Sender relationship with beneficiary",
          "specialNotes": "Mandatory if equal to or above PHP 500,000",
          "lastUpdatedTime": "2025-05-14T00:53:32.000+00:00"
        },
        {
          "fieldName": "recipient.organization_name",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z-]{2,}([ ]{1}[a-zA-Z-]{2,}){1,3}$",
          "specialNotes": "Full legal name required. Avoid using acronyms or abbreviations unless they are officially part of the legal name.",
          "lastUpdatedTime": "2025-05-14T00:53:40.000+00:00"
        },
        {
          "fieldName": "source_of_income",
          "mandatory": "No",
          "validationPattern": "^[0-9a-zA-Z- ]{0,60}$",
          "specialNotes": "Mandatory if equal to or above PHP 500,000",
          "lastUpdatedTime": "2025-05-14T00:53:36.000+00:00",
          "supportedValues": [
            {
              "id": "1",
              "name": "ACCUMULATED OWN SALARY"
            },
            {
              "id": "2",
              "name": "BUSINESS"
            },
            {
              "id": "3",
              "name": "EMPLOYEES SALARY"
            },
            {
              "id": "4",
              "name": "FAMILY INCOME"
            },
            {
              "id": "5",
              "name": "LOANS"
            },
            {
              "id": "6",
              "name": "LOTTERY"
            },
            {
              "id": "7",
              "name": "PART TIME JOB"
            },
            {
              "id": "8",
              "name": "PENSION"
            },
            {
              "id": "9",
              "name": "SALARY AND OVERTIME"
            },
            {
              "id": "10",
              "name": "SAVINGS OR ACCUMULATED"
            },
            {
              "id": "11",
              "name": "BANK WITHDRAWAL"
            },
            {
              "id": "12",
              "name": "BONUS/FINAL SETTLEMENT BY THE EMPLOYER"
            },
            {
              "id": "13",
              "name": "OTHERS"
            },
            {
              "id": "14",
              "name": "INVESTMENTS"
            },
            {
              "id": "15",
              "name": "GIFT OR INHERITANCE"
            },
            {
              "id": "16",
              "name": "PROCEEDS OF SALE"
            },
            {
              "id": "17",
              "name": "WINNINGS"
            }
          ]
        },
        {
          "fieldName": "sender.address.line2",
          "mandatory": "Yes",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "lastUpdatedTime": "2025-05-14T00:53:33.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "^[0-9]{0,15}$",
          "additionalFieldId": "222",
          "additionalFieldName": "Recipient landline number",
          "lastUpdatedTime": "2025-05-14T00:53:40.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "Yes",
          "validationPattern": "^([0-9]{4}-[0-9]{2}-[0-9]{2}){0,1}$",
          "additionalFieldId": "260",
          "additionalFieldName": "Recipients Date of Birth",
          "lastUpdatedTime": "2025-05-14T00:53:39.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "261",
          "additionalFieldName": "Recipient Place of Birth",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:39.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "Yes",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "701",
          "additionalFieldName": "Destination Country",
          "lastUpdatedTime": "2025-05-14T00:53:38.000+00:00"
        },
        {
          "fieldName": "sender.last_name",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z-]{2,}([ ]{1}[a-zA-Z-]{2,}){1,3}$",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:36.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "^([a-zA-Z-]{2,}([ ]{1}[a-zA-Z-]{2,}){0,3}){0,1}$",
          "additionalFieldId": "108",
          "additionalFieldName": "Sender Alias Name",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:38.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1162",
          "additionalFieldName": "Intermediary Agent 2 Name",
          "lastUpdatedTime": "2025-05-14T00:53:35.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1163",
          "additionalFieldName": "Intermediary Agent 3 Name",
          "lastUpdatedTime": "2025-05-14T00:53:33.000+00:00"
        },
        {
          "fieldName": "recipient.address.line2",
          "mandatory": "Yes",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:36.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "501",
          "additionalFieldName": "Maximum Cash Pickup Duration",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:37.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "1200",
          "additionalFieldName": "Destination Service Tag",
          "specialNotes": "PHL-BK",
          "lastUpdatedTime": "2025-05-14T00:53:34.000+00:00",
          "supportedValues": [
            {
              "id": "1",
              "name": "PHL-BK"
            }
          ]
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "7260"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1160",
          "additionalFieldName": "Ultimate Debtor Name",
          "lastUpdatedTime": "2025-05-14T00:53:35.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "409",
          "additionalFieldName": "Additional Communication",
          "lastUpdatedTime": "2025-05-14T00:54:23.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1161",
          "additionalFieldName": "Intermediary Agent 1 Name",
          "lastUpdatedTime": "2025-05-14T00:53:35.000+00:00"
        },
        {
          "fieldName": "payment_origination_country",
          "mandatory": "Yes",
          "validationPattern": "^([a-zA-Z]{3}){0,1}$",
          "lastUpdatedTime": "2025-05-14T00:53:36.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "^[0-9a-zA-Z- ]{0,30}$",
          "additionalFieldId": "170",
          "additionalFieldName": "Sender Occupation",
          "specialNotes": "Mandatory if equal to or above PHP 500,000",
          "lastUpdatedTime": "2025-05-14T00:54:26.000+00:00",
          "supportedValues": [
            {
              "id": "1",
              "name": "ADMINISTRATIVE"
            },
            {
              "id": "2",
              "name": "ANALYTICAL & STATISTICAL"
            },
            {
              "id": "3",
              "name": "ARTS"
            },
            {
              "id": "4",
              "name": "CUSTOMER SERVICE"
            },
            {
              "id": "5",
              "name": "DOMESTIC ASSISTANCE"
            },
            {
              "id": "6",
              "name": "EDUCATION"
            },
            {
              "id": "7",
              "name": "FINANCE"
            },
            {
              "id": "8",
              "name": "FOOD"
            },
            {
              "id": "9",
              "name": "HEALTH"
            },
            {
              "id": "10",
              "name": "HOSPITALITY"
            },
            {
              "id": "11",
              "name": "LABOR"
            },
            {
              "id": "12",
              "name": "LEGAL"
            },
            {
              "id": "13",
              "name": "LEISURE"
            },
            {
              "id": "14",
              "name": "MEDIA"
            },
            {
              "id": "23",
              "name": "NOT EMPLOYED"
            },
            {
              "id": "15",
              "name": "PRODUCTION"
            },
            {
              "id": "16",
              "name": "PUBLIC SERVICE"
            },
            {
              "id": "17",
              "name": "SALES"
            },
            {
              "id": "18",
              "name": "SCIENCE"
            },
            {
              "id": "19",
              "name": "SECURITY"
            },
            {
              "id": "20",
              "name": "SPORTS & FITNESS"
            },
            {
              "id": "21",
              "name": "TECHNOLOGY"
            },
            {
              "id": "22",
              "name": "TRADES / SKILLED"
            }
          ]
        },
        {
          "fieldName": "sender.address.line1",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z0-9.\\s,\\-:#_\/]{0,200}$",
          "lastUpdatedTime": "2025-05-14T00:53:33.000+00:00"
        },
        {
          "fieldName": "recipient.government_ids[].government_id_uri",
          "mandatory": "Yes",
          "validationPattern": "^(ppn|ssn|ein|tin|aln|cus|idc|dln):[A-Za-z0-9]{1,80}(;expiration-date=\\d{4}-\\d{2}-\\d{2})?$",
          "lastUpdatedTime": "2025-05-14T00:53:37.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1159",
          "additionalFieldName": "Debtor Agent Address Country",
          "lastUpdatedTime": "2025-05-14T00:54:25.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "410",
          "additionalFieldName": "Communication Field",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:33.000+00:00"
        },
        {
          "fieldName": "recipient.address.line1",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z0-9.\\s,\\-:#_\/]{0,200}$",
          "lastUpdatedTime": "2025-05-14T00:53:37.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1154",
          "additionalFieldName": "Debtor Agent Address Street 1",
          "lastUpdatedTime": "2025-05-14T00:54:24.000+00:00"
        },
        {
          "fieldName": "sender.date_of_birth",
          "mandatory": "Yes",
          "validationPattern": "^([0-9]{4}-[0-9]{2}-[0-9]{2}){0,1}$",
          "specialNotes": "Mandatory if equal to or above PHP 500,000",
          "lastUpdatedTime": "2025-05-14T00:54:23.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "257"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1157",
          "additionalFieldName": "Debtor Agent Address Zip",
          "lastUpdatedTime": "2025-05-14T00:54:26.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1158",
          "additionalFieldName": "Debtor Agent Address State",
          "lastUpdatedTime": "2025-05-14T00:54:25.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1155",
          "additionalFieldName": "Debtor Agent Address Street 2",
          "lastUpdatedTime": "2025-05-14T00:54:24.000+00:00"
        },
        {
          "fieldName": "recipient.nationality",
          "mandatory": "No",
          "validationPattern": "^([a-zA-Z]{3}){0,1}$",
          "lastUpdatedTime": "2025-05-14T00:54:22.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1156",
          "additionalFieldName": "Debtor Agent Address City",
          "lastUpdatedTime": "2025-05-14T00:54:26.000+00:00"
        },
        {
          "fieldName": "recipient.email",
          "mandatory": "No",
          "validationPattern": "^([a-zA-Z0-9.!#$%&â€™*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*){0,1}$",
          "lastUpdatedTime": "2025-05-14T00:53:41.000+00:00"
        },
        {
          "fieldName": "receiving_bank_name",
          "mandatory": "No",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:40.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "1150",
          "additionalFieldName": "Debtor Agent Name",
          "lastUpdatedTime": "2025-05-14T00:54:27.000+00:00"
        },
        {
          "fieldName": "sender.address.postal_code",
          "mandatory": "No",
          "validationPattern": "^[0-9a-zA-Z]{0,10}$",
          "specialNotes": "Only mandatory if sender address country is USA or Canada. Format according to the respective official country address standard.",
          "lastUpdatedTime": "2025-05-14T00:53:33.000+00:00"
        },
        {
          "fieldName": "sender.address.city",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "specialNotes": "Only mandatory if sender address country is USA or Canada. Format according to the respective official country address standard.",
          "lastUpdatedTime": "2025-05-14T00:53:41.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "^[0-9]{0,15}$",
          "additionalFieldId": "121",
          "additionalFieldName": "Sender Mobile Phone Number",
          "lastUpdatedTime": "2025-05-14T00:54:27.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "^[0-9]{0,15}$",
          "additionalFieldId": "122",
          "additionalFieldName": "Sender Landline Number",
          "lastUpdatedTime": "2025-05-14T00:54:27.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "520",
          "additionalFieldName": "Recipient Notification",
          "lastUpdatedTime": "2025-05-14T00:53:34.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "161",
          "additionalFieldName": "Sender Place of Birth",
          "lastUpdatedTime": "2025-05-14T00:54:26.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "206",
          "additionalFieldName": "Recipient Middle Name (Other Language)",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:54:23.000+00:00"
        },
        {
          "fieldName": "sender.nationality",
          "mandatory": "Yes",
          "validationPattern": "^([a-zA-Z]{3}){0,1}$",
          "lastUpdatedTime": "2025-05-14T00:53:40.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "207",
          "additionalFieldName": "Recipient Last Name (Other Language)",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:38.000+00:00"
        },
        {
          "fieldName": "sender.organization_name",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z-]{2,}([ ]{1}[a-zA-Z-]{2,}){1,3}$",
          "specialNotes": "Full legal name required. Avoid using acronyms or abbreviations unless they are officially part of the legal name.",
          "lastUpdatedTime": "2025-05-14T00:53:39.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "Yes",
          "validationPattern": "^([a-zA-Z-]{2,}([ ]{1}[a-zA-Z-]{2,}){1,3}){0,}$",
          "additionalFieldId": "208",
          "additionalFieldName": "Recipient Alias Name",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:54:25.000+00:00"
        },
        {
          "fieldName": "sender.government_ids[].government_id_uri",
          "mandatory": "Yes",
          "validationPattern": "^(ppn|ssn|ein|tin|aln|cus|idc|dln):[A-Za-z0-9]{1,80}(;expiration-date=\\d{4}-\\d{2}-\\d{2})?$",
          "lastUpdatedTime": "2025-05-14T00:53:37.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "^([a-zA-Z0-9.!#$%&â€™*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*){0,1}$",
          "additionalFieldId": "125",
          "additionalFieldName": "Sender E-mail address",
          "lastUpdatedTime": "2025-05-14T00:54:25.000+00:00"
        },
        {
          "fieldName": "recipient.address.city",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "specialNotes": "Only mandatory if recipient address country is USA or Canada. Format according to the respective official country address standard.",
          "lastUpdatedTime": "2025-05-14T00:53:34.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "401",
          "additionalFieldName": "Originating Instrument Type",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:54:24.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "204",
          "additionalFieldName": "Recipientâ€‹ Name (English language)",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:54:23.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "205",
          "additionalFieldName": "Recipient First Name (Other Language)",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:36.000+00:00"
        },
        {
          "fieldName": "recipient.last_name",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z-]{2,}([ ]{1}[a-zA-Z-]{2,}){1,3}$",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:41.000+00:00"
        },
        {
          "fieldName": "bank_code",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "lastUpdatedTime": "2025-05-14T00:54:22.000+00:00"
        },
        {
          "fieldName": "recipient.address.country",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z]{2}$",
          "lastUpdatedTime": "2025-05-14T00:53:43.000+00:00"
        },
        {
          "fieldName": "recipient.address.postal_code",
          "mandatory": "No",
          "validationPattern": "^[0-9a-zA-Z]{0,10}$",
          "specialNotes": "Only mandatory if recipient address country is USA or Canada. Format according to the respective official country address standard.",
          "lastUpdatedTime": "2025-05-14T00:53:39.000+00:00"
        },
        {
          "fieldName": "recipient.address.country_subdivision",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "specialNotes": "Only mandatory if recipient address country is USA or Canada. Format according to the respective official country address standard.",
          "lastUpdatedTime": "2025-05-14T00:53:35.000+00:00"
        },
        {
          "fieldName": "sender.address.country",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z]{2}$"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "270",
          "additionalFieldName": "Recipient Occupation",
          "lastUpdatedTime": "2025-05-14T00:54:22.000+00:00"
        },
        {
          "fieldName": "recipient.first_name",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z-]{2,}([ ]{1}[a-zA-Z-]{2,}){1,3}$"
        },
        {
          "fieldName": "recipient.phone",
          "mandatory": "No",
          "validationPattern": "^[0-9]{0,15}$",
          "specialNotes": "Mandatory if equal to or above PHP 500,000",
          "lastUpdatedTime": "2025-05-14T00:53:31.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "550",
          "additionalFieldName": "Transaction Target Type",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:54:22.000+00:00"
        },
        {
          "fieldName": "purpose_of_payment",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "specialNotes": "Mandatory if equal to or above PHP 500,000",
          "lastUpdatedTime": "2025-05-14T00:54:25.000+00:00",
          "supportedValues": [
            {
              "id": "1",
              "name": "FAMILY MAINTENANCE"
            },
            {
              "id": "2",
              "name": "EDUCATION"
            },
            {
              "id": "3",
              "name": "MEDICAL"
            },
            {
              "id": "4",
              "name": "TOURIST"
            },
            {
              "id": "6",
              "name": "PERSONAL"
            },
            {
              "id": "18",
              "name": "TRANSFER TO NRE ACCOUNT"
            },
            {
              "id": "21",
              "name": "INVESTMENT IN MUTUAL FUND/INSURANCE"
            },
            {
              "id": "22",
              "name": "INVESTMENT THROUGH BANK"
            },
            {
              "id": "23",
              "name": "PURCHASE OF REAL ESTATE"
            },
            {
              "id": "24",
              "name": "EDUCATION/TUITION/BOARDING"
            },
            {
              "id": "25",
              "name": "HOTEL ACCOMODATIONS"
            },
            {
              "id": "26",
              "name": "TRAVEL AGENT"
            },
            {
              "id": "28",
              "name": "UTILITY PROVIDER"
            },
            {
              "id": "29",
              "name": "TAX PAYMENT"
            },
            {
              "id": "30",
              "name": "LOAN PAYMENT TO BANK"
            },
            {
              "id": "31",
              "name": "PRIME MINISTERS NATIONAL RELIEF FUND (INDIA)"
            },
            {
              "id": "32",
              "name": "HOSPITAL OR MEDICAL INSTITUTION"
            },
            {
              "id": "43",
              "name": "TRADE RELATED SERVICES"
            },
            {
              "id": "44",
              "name": "TRADE REALISATION OF EXPORT BILLS"
            },
            {
              "id": "45",
              "name": "TRADE ADVANCE RECEIPT AGAINST EXPORT"
            }
          ]
        },
        {
          "fieldName": "sender.first_name",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z-]{2,}([ ]{1}[a-zA-Z-]{2,}){1,3}$",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:32.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "^[0-9]{0,10}$",
          "additionalFieldId": "430",
          "additionalFieldName": "Payer Payee Relationship"
        },
        {
          "fieldName": "sender.address.country_subdivision",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "specialNotes": "Only mandatory if sender address country is USA or Canada. Format according to the respective official country address standard.",
          "lastUpdatedTime": "2025-05-14T00:53:38.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "^[a-zA-Z]{0,3}$",
          "additionalFieldId": "630",
          "additionalFieldName": "Beneficiary Bank Account Type",
          "lastUpdatedTime": "2025-05-14T00:53:42.000+00:00"
        },
        {
          "fieldName": "fx_type.forward.receiver_currency",
          "mandatory": "Yes",
          "validationPattern": "^[a-zA-Z]{3}$",
          "specialNotes": "Not SupportedMandatory in case of Forward Flow",
          "lastUpdatedTime": "2025-05-14T00:53:34.000+00:00"
        },
        {
          "fieldName": "sender_account_uri",
          "mandatory": "Yes",
          "validationPattern": "^[0-9a-zA-Z+ ]{0,35}$",
          "specialNotes": "Ensure validation before mapping"
        },
        {
          "fieldName": "sender.middle_name",
          "mandatory": "No",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:54:24.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "510",
          "additionalFieldName": "Reference Timestamp",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:42.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "validationPattern": "[ -z\\n\\t\\p{L}Â°]{1,}",
          "additionalFieldId": "830",
          "additionalFieldName": "Requested Rate Id",
          "lastUpdatedTime": "2025-05-14T00:53:42.000+00:00"
        },
        {
          "fieldName": "additional_data",
          "mandatory": "No",
          "additionalFieldId": "831",
          "additionalFieldName": "Applied Rate Id",
          "lastUpdatedTime": "2025-05-14T00:53:42.000+00:00"
        },
        {
          "fieldName": "receiving_bank_branch_name",
          "mandatory": "No",
          "specialNotes": "Not Supported",
          "lastUpdatedTime": "2025-05-14T00:53:32.000+00:00"
        }
      ]
    }
  }
]
```

<br />

##### Rejected Response: {#rejected-response}

A few examples of Failed Retrieve calls are:  

##### 1.Rejected Response for Unknown Resource: {#1rejected-response-for-unknown-resource}

* JSON

```JSON
{  
  "Errors": {    
    "Error": [      
      {       
        "Source": "endpoint",        
        "ReasonCode": "RESOURCE_UNKNOWN",        
        "Description": "Record Not Found",        
        "Recoverable": "false",        
        "Details": {          
          "Detail": {            
            "Name": "ErrorDetailCode",            
            "Value": "110507"
          }
        }
      }    
    ]
  }
}
```

##### 2.Rejected Response for Missing Required Input: {#2rejected-response-for-missing-required-input}

* JSON

```JSON
{
  "Errors": {
    "Error": [
      {
        "Source": "Missing Required Input",
        "ReasonCode": "MISSING_REQUIRED_INPUT",
        "Description": "Missing required input value.",
        "Recoverable": "false",
        "Details": {
          "Detail": {
            "Name": "ErrorDetailCode",
            "Value": "092000"
          }
        }
      }
    ]
  }
}
```

##### 3.Rejected Response for Invalid Input Value: {#3rejected-response-for-invalid-input-value}

* JSON

```JSON
{
  "Errors": {
    "Error": [
      {
        "Source": "destCountry",
        "ReasonCode": "INVALID_INPUT_VALUE",
        "Description": "Invalid input Value",
        "Recoverable": "false",
        "Details": {
          "Detail": {
            "Name": "ErrorDetailCode",
            "Value": "082000"
          }
        }
      }
    ]
  }
}
```

## Error Codes {#error-codes}

Please refer to complete list of error codes [here](https://developer.mastercard.com/cross-border-services/documentation/response-error-codes/index.md).

For information about the HTTP response codes that may be returned for your API requests, see [HTTP Response Codes](https://developer.mastercard.com/cross-border-services/documentation/response-error-codes/http-response-codes/index.md).
